% FIGUREHD_INFLEXP.M
clear;
load hd_inflexp;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,1,1)
plot(time,yhat31(:,1),'k-','linewidth',3);
title('Cumulative Effect of Expectations Shock on Inflation Expectations','fontsize',18)
ylabel('Percent','fontsize',16)
axis([1990+1/12 time(end) -3 3])
grid on

subplot(3,1,2)
plot(time,yhat32(:,1),'k-','linewidth',3);
title('Cumulative Effect of Nominal Gasoline Price Shock on Inflation Expectations','fontsize',18)
ylabel('Percent','fontsize',16)
axis([1990+1/12 time(end) -3 3])
grid on


subplot(3,1,3)
plot(time,yhat33(:,1),'k-','linewidth',3);
title('Cumulative Effect of Core CPI Shock on Inflation Expectations','fontsize',18)
ylabel('Percent','fontsize',16)
axis([1990+1/12 time(end) -3 3])
grid on

